Public Member Functions | Public Attributes | List of all members
MsWksDBParserInternal::DataBase Class Reference

the database More...

## Public Member Functions
| DataBase ()
| constructor More...
std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize) const
| convert the m_widthCols in a vector of of point size More...

## Public Attributes
int | m_numFields
| the number of fields More...
int | m_numRecords
| the number of records More...
std::vector< FieldType > | m_listFieldTypes
| the list of field type More...
std::vector< std::vector< MWAWCellContent > > | m_listRecords
| the list of record by row More...

## Detailed Description

the database

## Constructor & Destructor Documentation

## ◆ DataBase()

MsWksDBParserInternal::DataBase::DataBase | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ convertInPoint()

std::vector<float> MsWksDBParserInternal::DataBase::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  | const
| inline

convert the m_widthCols in a vector of of point size

## Member Data Documentation

## ◆ m_listFieldTypes

std::vector<FieldType> MsWksDBParserInternal::DataBase::m_listFieldTypes

the list of field type

Note
  which begins by an unused field

## ◆ m_listRecords

std::vector<std::vector<MWAWCellContent> > MsWksDBParserInternal::DataBase::m_listRecords

the list of record by row

## ◆ m_numFields

int MsWksDBParserInternal::DataBase::m_numFields

the number of fields

## ◆ m_numRecords

int MsWksDBParserInternal::DataBase::m_numRecords

the number of records

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx